Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class GraphProperties

    java.lang.Object
      edu.stanford.smi.protegex.widget.graph.GraphProperties

Direct Known Subclasses:
  GraphObjectProperties, ViewProperties

    public abstract class GraphProperties

extends Object

Constructor Summary
`GraphProperties(String clsName, PropertyList propertyList)`

Method Summary
`boolean` | `getBooleanProperty(String property, Boolean defaultValue)`
`String` | `getClsName()`
`int` | `getIntProperty(String property, Integer defaultValue)`
`String` | `getPrefix()`
`PropertyList` | `getPropertyList()`
`String` | `getStringProperty(String property, String defaultValue)`
`abstract void` | `save()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphProperties

    public GraphProperties(String clsName,
                           PropertyList propertyList)

Method Detail

### save

    public abstract void save()

### getStringProperty

    public String getStringProperty(String property,
                                    String defaultValue)

### getBooleanProperty

    public boolean getBooleanProperty(String property,
                                      Boolean defaultValue)

### getIntProperty

    public int getIntProperty(String property,
                              Integer defaultValue)

### getClsName

    public String getClsName()

### getPrefix

    public String getPrefix()

### getPropertyList

    public PropertyList getPropertyList()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request